import React from "react";
import PropTypes from "prop-types";
import classNames from "classnames";
import { mapToCssModules } from "./utils";

const CarouselCaption = (props) => {
  const {
    captionHeader,
    captionText,
    cssModule,
    className,
    button,
    text,
  } = props;

  console.log('aloha => ', button, text)

  const classes = mapToCssModules(
    classNames(className, "carousel-caption", "d-none", "d-md-block"),
    cssModule
  );

  return (
    <div className={classes}>
      <h3>{captionHeader}</h3>
      <p>{captionText}</p>
      {button && (
        <button
          onClick={console.log(`clicou ${button?.link}`)}
          style={{
            background: button?.backgroundColor,
            borderRadius: button.borderRadius,
            fontSize: button.fontSize,
            color: button.textColor,
            position: "absolute",
            top: button.positionX,
            left: button.positionY,
          }}
        >
          {button.text}
        </button>
      )}

      {text && (
        <span
          style={{
            color: text.color,
            fontSize: text.fontSize,
          }}
        >
          {text.textChildren}
        </span>
      )}
    </div>
  );
};

CarouselCaption.propTypes = {
  captionHeader: PropTypes.node,
  captionText: PropTypes.node.isRequired,
  cssModule: PropTypes.object,
  className: PropTypes.string,
};

export default CarouselCaption;
